Bug 41635 - Auth_ldap fails to work consistently
Auth_ldap fails to work consistently
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: auth_ldap (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-21 12:52 EDT by Gil Chilton
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:52:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gil Chilton 2001-05-21 12:52:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
I can use auth_ldap to authenticate a directory correctly some of the 
time.  There is some condition in which the page loading does not complete.

I have used auth_ldap on RedHat 6.2 and 7.0 on a small
network.

I am now on a different machine in a different network
that is running RedHat 7.1.  I am just getting things
setup including openldap for the first time.

If I do not restrict a directory, the index.html file
is loaded almost immediately.  If I enable auth_ldap,
it appears to take several minutes to complete loading
the page (IE's progress bar is slowly moving left to
right) and the following messages appear in
/var/log/httpd/error_log:
ber_scanf fmt (x) ber: 
ber_scanf fmt (x) ber: 
ber_scanf fmt (x) ber: 
ber_scanf fmt (x) ber: 

If I reduce the number of images in the referenced in the html file, the 
page will load about 2 times before failing with identical results.  It 
somehow appears to have a limit on the number of pages it will load 
correctly before it fails.

One user on the auth_ldap page suggested that the 

How reproducible:
Always

Steps to Reproduce:
1. Install and configure apache, auth_ldap, and openldap
2. Require a User ID and password for a directory using auth_ldap
3. Try to reload the index.html or similar using the refresh button
4. Page reload should hang depending upon the number of images in page
5. Check /var/log/httpd/error_log for error messages

Actual Results:  Page fails to load after a certain number of loads
Repeatable on a server and separately on a laptop.

Expected Results:  Apache should load the pages

Additional info:
Comment 1 Gil Chilton 2001-06-15 09:16:53 EDT
Update: I built a new rpm for auth_ldap using the 1.5.4 developer's version and 
the RedHat Linux 7.1 source rpm for auth_ldap as a baseline.  This appears to 
correct the problem.  This is not necessarily recommended for high availability 
uses as 1.5.4 is not an official release of auth_ldap.
Comment 2 Aki Karjalainen 2001-11-07 07:42:48 EST
I've experienced this bug as well. I was trying to authenticate against Lotus
Domino 5.x.x and couldn't get it to work. 
I replaced mod_auth_ldap.so Apache module shipped with Red Hat 7.1 with a new
one (v.1.6) from auth_ldap web site. This appears to correct the problem for me.
Version 1.6 is an official release. I think updated RPM should be made available
from Red Hat.
Comment 3 adiascar 2002-06-11 15:59:00 EDT
I'm version-locked in 7.1. The auth_ldap 1.6 available for download is compiled 
under 7.3. Is there any way I can get auth_ldap-1.6.0 for 7.1? Thanks.
Comment 4 Bill Nottingham 2006-08-07 15:35:16 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 5 Bill Nottingham 2006-10-18 12:52:46 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.